import { defineComponent, inject, ref, openBlock, createElementBlock, createElementVNode, createTextVNode, toDisplayString } from "vue";
var WkFileUpload_vue_vue_type_style_index_0_lang = "";
const _hoisted_1 = { class: "image-uploader" };
const _hoisted_2 = /* @__PURE__ */ createElementVNode("h1", null, "File Uploader", -1);
const _hoisted_3 = { class: "your-file" };
const _hoisted_4 = ["src"];
const _hoisted_5 = /* @__PURE__ */ createElementVNode("strong", null, "img source:", -1);
const _sfc_main = /* @__PURE__ */ defineComponent({
  props: {
    customImg: null
  },
  setup(__props) {
    var _a;
    const props = __props;
    const img = inject("specialUploadImage");
    const imgVal = (_a = props.customImg) != null ? _a : img;
    const imgSRC = ref(imgVal);
    function fileUpload(event) {
      var _a2;
      const target = event.target;
      const file = (_a2 = target.files) == null ? void 0 : _a2[0];
      if (file) {
        fileProcess(file);
      }
    }
    function fileProcess(file) {
      imgSRC.value = URL.createObjectURL(file);
      console.log("got the file", file);
      console.log(imgSRC.value);
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        _hoisted_2,
        createElementVNode("input", {
          onChange: fileUpload,
          type: "file",
          id: "file-upload",
          name: "fileUpload",
          accept: "image/*"
        }, null, 32),
        createElementVNode("div", _hoisted_3, [
          createElementVNode("img", {
            src: imgSRC.value,
            alt: "",
            srcset: ""
          }, null, 8, _hoisted_4)
        ]),
        _hoisted_5,
        createTextVNode(toDisplayString(imgSRC.value), 1)
      ]);
    };
  }
});
var ViewerPlugin = {
  install: (app, options = { img: "" }) => {
    app.component("WkFileUpload", _sfc_main);
    app.provide("specialUploadImage", options.img);
  }
};
export { _sfc_main as WkFileUpload, ViewerPlugin as default };
